commit:     f1c67eb8cb6930c5769ef5faf60d5911bec9e320
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Mon Dec 14 02:36:37 2020 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Mon Dec 14 02:36:37 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f1c67eb8

dev-python/msgpack: bump to 1.0.1

Package-Manager: Portage-3.0.12-prefix, Repoman-3.0.2
Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-python/msgpack/Manifest             |  1 +
 dev-python/msgpack/msgpack-1.0.1.ebuild | 38 +++++++++++++++++++++++++++++++++
 2 files changed, 39 insertions(+)

diff --git a/dev-python/msgpack/Manifest b/dev-python/msgpack/Manifest
index e32e9ba2b1c..6a0fd07fa5a 100644
--- a/dev-python/msgpack/Manifest
+++ b/dev-python/msgpack/Manifest
@@ -1,2 +1,3 @@
 DIST msgpack-0.6.2.tar.gz 119062 BLAKE2B 
6b20a0d31b811ae66e66dbfaacec6f0cf2152b2937423b78f3e6244bfa49c87767788c5ee1db41b9020801b8777a4c15b1fe1853182718adf622bc7e1bff858e
 SHA512 
95b92e3d35e0500dd4256d18bf76e586e57cc66319b4459ac5daef599277a5049177a89ad86e291dbdc4c7a918901a89d9218353ddc4a7d0b399e8a98afef363
 DIST msgpack-1.0.0.tar.gz 232331 BLAKE2B 
ab7b3aede06c31e0cf70a7f7fbdf2b1dddd89aa2d5d9847b11117c66a2f4572ac468674cdbcaf79bc571278f02429d223aeeb0ea8cb50c31ad251142642cc05f
 SHA512 
6dc168b111cd37807e8e8a09840d1b116d7f38d56f4622b9d36ab7dbd983ebe2f34e763f48c6348148c6945c9f1c9a0f83f5f03e12d12bc18f7b8e0cbd669f87
+DIST msgpack-1.0.1.tar.gz 123151 BLAKE2B 
4f040d6e292c588f20043e0091702e9a848d94357784ec7ef7a2ed2d1b5a08cae0bfea4a16cbb67e32b071260f25a43b0507d154ba7f6e180e65a60e3a2b4e9c
 SHA512 
87412cc4022ce7ec82cfe376fbb3c663e5b7a430c2178cacbfe95b35489d95f314bdaf83a6170a7956f42939535ada3c5cbe45c6d7c105410494fe7e9a5cb870

diff --git a/dev-python/msgpack/msgpack-1.0.1.ebuild 
b/dev-python/msgpack/msgpack-1.0.1.ebuild
new file mode 100644
index 00000000000..d4a598d6803
--- /dev/null
+++ b/dev-python/msgpack/msgpack-1.0.1.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8,9} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="MessagePack (de)serializer for Python"
+HOMEPAGE="https://msgpack.org
+       https://github.com/msgpack/msgpack-python/
+       https://pypi.org/project/msgpack/";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~x86"
+IUSE="+native-extensions"
+
+BDEPEND="
+       native-extensions? (
+               $(python_gen_cond_dep 
'>=dev-python/cython-0.16[${PYTHON_USEDEP}]' 'python*')
+       )
+       test? ( dev-python/six[${PYTHON_USEDEP}] )
+"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+       # Remove pre-generated cython files
+       rm msgpack/{_packer,_unpacker,_cmsgpack}.pyx || die
+
+       if ! use native-extensions ; then
+               sed -i -e "/have_cython/s:True:False:" setup.py || die
+       fi
+       distutils-r1_python_prepare_all
+}

Reply via email to